#!/bin/sh
PREFIX="/usr/local/avpbsd"
BINDIR="$PREFIX/avpBSD"
AVPDIR="$PREFIX/avprun"
DPARMS="-Y -f=$AVPDIR -MP -MD -I0 -o{$AVPDIR} $AVPDIR"

case "$1" in
start)
	 $BINDIR/kavdaemon $DPARMS  && echo -n ' kavdaemon'
	 ;;
stop)
	 [ -f $AVPDIR/AvpPid ] && $BINDIR/kavdaemon -ka > /dev/null \
	 && echo "kavdaemon terminated"
	 ;;

restart) [ -f $AVPDIR/AvpPid ] && $BINDIR/kavdaemon -ka > /dev/null \
	 && $BINDIR/kavdaemon $DPARMS > /dev/null && echo 'kavdaemon restarted'
         ;;
*)
	 echo "Usage: `basename $0` {start|stop|restart}" >&2
	 ;;
esac

exit 0
