/*-
 * Copyright (c) 1998    Granch Ltd. 	All rigts reserved.
 *
 * All or some portions of this file are derived from material licensed
 * to the Grahcn Ltd. and are reproduced herein with the permission of
 * Granch Ltd.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * Author : Rashid N. Achilov		E-Mail shelton@sentry.granch.ru
 *
 *	@(#)libpriv.h 			0.91.1 (Granch Ltd.) 	30/10/02
 */
/*--------------------------------------------------------------------------

              .

            UNIX FreeBSD 3.4 version

                  
             

--------------------------------------------------------------------------*/
#ifndef _LIBCONF_H_
#define _LIBCONF_H_

//      :  

#define ITOA_HEX	16
#define ITOA_DEC	10
#define ITOA_BIN	 2

//       

#define LIBCONF_VERSION_MAJOR	0
#define LIBCONF_VERSION_MINOR  93
#define LIBCONF_VERSION_PATCH   3

#ifdef _LIBCONF_GLOBAL_SET_
unsigned char _libpriv_version_major = LIBCONF_VERSION_MAJOR;
unsigned short int _libpriv_version_minor = LIBCONF_VERSION_MINOR;
unsigned char _libpriv_version_patch = LIBCONF_VERSION_PATCH;
#else
extern unsigned char _libpriv_version_major;
extern unsigned short int _libpriv_version_minor;
extern unsigned char _libpriv_version_patch;
#endif

					//  
short int b_atoi(char *in,int border); 		     //  
int b_atol(char *in); 			 	     //  
u_short b_atoui(char *in,int border); 		     //  
u_int b_atoul(char *in); 			 	     //  
int atoh(char *out,char *in,int len);		     //   hex
int readconfig(char comment,char *in,char *out,int bsize);

int filecopy(char *infile,char * outfile,mode_t mode);
						 //  
int encode_base64(char *src, char *dest, int szdest,int srclen);
int decode_base64(char *src, char *dest, int szdest);
void replacestring(char **src,char *part1,char *part2,int *ssize);
                                                 //  
int _parsedate(struct tm *ptm,char *textdata);	 //     tm
int _parsetime(struct tm *ptm,char *textdata);	 //     tm
int itoa(int num, char *str, int radix);	 //   

#endif
